import { JavaObject } from '../../../java/lang/JavaObject';
export declare class GostBlockungListeneintrag extends JavaObject {
    id: number;
    name: String;
    gostHalbjahr: number;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): GostBlockungListeneintrag;
    static transpilerToJSON(obj: GostBlockungListeneintrag): string;
    static transpilerToJSONPatch(obj: Partial<GostBlockungListeneintrag>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_gost_GostBlockungListeneintrag(obj: unknown): GostBlockungListeneintrag;
